pcl::_PointWithScale Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointWithScale:

## Public Attributes

| PCL_ADD_POINT4D
union {
float scale
| Diameter of the meaningfull keypoint neighborhood. More...
float size
}; |
float | angle
| Computed orientation of the keypoint (-1 if not applicable). More...
float | response
| The response by which the most strong keypoints have been selected. More...
int | octave
| octave (pyramid layer) from which the keypoint has been extracted. More...

## Detailed Description

Definition at line 1382 of file point_types.hpp.

## Member Data Documentation

union { ... }

float pcl::_PointWithScale::angle

Computed orientation of the keypoint (-1 if not applicable).

Definition at line 1394 of file point_types.hpp.

Referenced by pcl::PointWithScale::PointWithScale().

int pcl::_PointWithScale::octave

octave (pyramid layer) from which the keypoint has been extracted.

Definition at line 1398 of file point_types.hpp.

Referenced by pcl::PointWithScale::PointWithScale().

pcl::_PointWithScale::PCL_ADD_POINT4D

Definition at line 1384 of file point_types.hpp.

float pcl::_PointWithScale::response

The response by which the most strong keypoints have been selected.

Definition at line 1396 of file point_types.hpp.

Referenced by pcl::PointWithScale::PointWithScale().

float pcl::_PointWithScale::scale

Diameter of the meaningfull keypoint neighborhood.

Definition at line 1389 of file point_types.hpp.

Referenced by pcl::PointWithScale::PointWithScale().

float pcl::_PointWithScale::size

Definition at line 1390 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/impl/point_types.hpp